/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @Title: PromotionActivityType
 * @Package cn.freemud.enums
 * @Description:
 * @author: liming.guo
 * @date: 2018/8/6 21:12
 * @version V1.0
 * @Copyright: 2018 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
package cn.freemud.enums;

public enum PromotionActivityType {

    BUY_DISCOUNT(1, "满减优惠"),
    RED_SHARE(2,"红包裂变"),
    ENTER_GIFT(3,"进店有礼");

    private Integer code;

    private String desc;

    PromotionActivityType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
